Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
- CommandLine
- CommandLineConfig
- CommandLineParser
- FromString
- Instance
- Interpolation
- Meta
- Opt
- Property
- PropertyMapper
- Reference
- Spec

c

scala.tools.cmd

# FromString 

###
Companion object FromString

#### abstract class FromString[+T] extends PartialFunction[String, T]

A general mechanism for defining how a command line argument (always a String) is transformed into an arbitrary type. A few example instances are in the companion object, but in general either IntFromString will suffice or you'll want custom transformers.

Source
  FromString.scala

Linear Supertypes
PartialFunction[String, T], (String) ⇒ T, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FromString
2. PartialFunction
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FromString()(implicit m: OptManifest[T])

### Abstract Value Members

1.  abstract def apply(s: String): T
   Definition Classes
     FromString → Function1

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FromString[T] to any2stringadd[FromString[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FromString[T], B)
   Implicit
     This member is added by an implicit conversion from FromString[T] to ArrowAssoc[FromString[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[C](k: (T) ⇒ C): PartialFunction[String, C]
   Definition Classes
     PartialFunction → Function1
7.  def applyOrElse[A1 <: String, B1 >: T](x: A1, default: (A1) ⇒ B1): B1
   Definition Classes
     PartialFunction
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def compose[A](g: (A) ⇒ String): (A) ⇒ T
    Definition Classes
      Function1
    Annotations
      @unspecialized()
11.  def ensuring(cond: (FromString[T]) ⇒ Boolean, msg: ⇒ Any): FromString[T]
    Implicit
      This member is added by an implicit conversion from FromString[T] to Ensuring[FromString[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (FromString[T]) ⇒ Boolean): FromString[T]
    Implicit
      This member is added by an implicit conversion from FromString[T] to Ensuring[FromString[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): FromString[T]
    Implicit
      This member is added by an implicit conversion from FromString[T] to Ensuring[FromString[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): FromString[T]
    Implicit
      This member is added by an implicit conversion from FromString[T] to Ensuring[FromString[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FromString[T] to StringFormat[FromString[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  def isDefinedAt(s: String): Boolean
    Definition Classes
      FromString → PartialFunction
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def lift: (String) ⇒ Option[T]
    Definition Classes
      PartialFunction
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  def orElse[A1 <: String, B1 >: T](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]
    Definition Classes
      PartialFunction
28.  def runWith[U](action: (T) ⇒ U): (String) ⇒ Boolean
    Definition Classes
      PartialFunction
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def targetString: String
31.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def zero: T
36.  def →[B](y: B): (FromString[T], B)
    Implicit
      This member is added by an implicit conversion from FromString[T] to ArrowAssoc[FromString[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PartialFunction[String, T]

### Inherited from (String) ⇒ T

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FromString[T] to any2stringadd[FromString[T]]

### Inherited by implicit conversion StringFormat from FromString[T] to StringFormat[FromString[T]]

### Inherited by implicit conversion Ensuring from FromString[T] to Ensuring[FromString[T]]

### Inherited by implicit conversion ArrowAssoc from FromString[T] to ArrowAssoc[FromString[T]]

### Ungrouped